diff options
-rw-r--r-- | .cvsignore | 3 | ||||
-rw-r--r-- | configure.in | 4 | ||||
-rwxr-xr-x | install-sh | 250 | ||||
-rwxr-xr-x | missing | 336 | ||||
-rwxr-xr-x | mkinstalldirs | 40 | ||||
-rw-r--r-- | plugins/.cvsignore | 2 | ||||
-rw-r--r-- | plugins/Makefile.am | 2 | ||||
-rw-r--r-- | plugins/common.h (renamed from plugins/common.h.in) | 0 | ||||
-rw-r--r-- | plugins/netutils.h (renamed from plugins/netutils.h.in) | 6 | ||||
-rw-r--r-- | plugins/popen.h (renamed from plugins/popen.h.in) | 0 | ||||
-rw-r--r-- | plugins/utils.c | 1 | ||||
-rw-r--r-- | plugins/utils.h (renamed from plugins/utils.h.in) | 0 | ||||
-rw-r--r-- | plugins/version.h.in | 1 |
13 files changed, 8 insertions, 637 deletions
@@ -10,3 +10,6 @@ Cache.pm | |||
10 | build-* | 10 | build-* |
11 | aclocal.m4 | 11 | aclocal.m4 |
12 | autom4te-*.cache | 12 | autom4te-*.cache |
13 | install-sh | ||
14 | mkinstalldirs | ||
15 | missing | ||
diff --git a/configure.in b/configure.in index 9942d52..d6ef7d4 100644 --- a/configure.in +++ b/configure.in | |||
@@ -10,7 +10,7 @@ AC_SUBST(PACKAGE_VERSION) | |||
10 | PACKAGE_RELEASE="${REL}" | 10 | PACKAGE_RELEASE="${REL}" |
11 | AC_SUBST(PACKAGE_RELEASE) | 11 | AC_SUBST(PACKAGE_RELEASE) |
12 | AM_INIT_AUTOMAKE(nagios-plugins,${PACKAGE_VERSION}) | 12 | AM_INIT_AUTOMAKE(nagios-plugins,${PACKAGE_VERSION}) |
13 | AM_CONFIG_HEADER(plugins/config.h plugins/common.h plugins/version.h plugins/netutils.h plugins/utils.h plugins/popen.h) | 13 | AM_CONFIG_HEADER(plugins/config.h) |
14 | AC_CANONICAL_HOST | 14 | AC_CANONICAL_HOST |
15 | 15 | ||
16 | AC_PREFIX_DEFAULT(/usr/local/nagios) | 16 | AC_PREFIX_DEFAULT(/usr/local/nagios) |
@@ -1455,7 +1455,7 @@ AC_SUBST(DEPLIBS) | |||
1455 | 1455 | ||
1456 | AC_DEFINE_UNQUOTED(PACKAGE_VERSION,"${VERSION}",[package version]) | 1456 | AC_DEFINE_UNQUOTED(PACKAGE_VERSION,"${VERSION}",[package version]) |
1457 | 1457 | ||
1458 | AC_OUTPUT(Makefile subst lib/Makefile plugins/Makefile plugins-scripts/Makefile plugins-scripts/subst plugins-scripts/utils.pm plugins-scripts/utils.sh command.cfg test.pl,echo timestamp > plugins/stamp-h1;echo timestamp > plugins/stamp-h2;echo timestamp > plugins/stamp-h3;echo timestamp > plugins/stamp-h4;echo timestamp > plugins/stamp-h5;echo timestamp > plugins/stamp-h6;PATH=.:..:$PATH subst.sh command.cfg) | 1458 | AC_OUTPUT(Makefile subst lib/Makefile plugins/Makefile plugins-scripts/Makefile plugins-scripts/subst plugins-scripts/utils.pm plugins-scripts/utils.sh command.cfg test.pl,PATH=.:..:$PATH subst.sh command.cfg) |
1459 | 1459 | ||
1460 | ACX_FEATURE([with],[cgiurl]) | 1460 | ACX_FEATURE([with],[cgiurl]) |
1461 | ACX_FEATURE([with],[nagios-user]) | 1461 | ACX_FEATURE([with],[nagios-user]) |
diff --git a/install-sh b/install-sh deleted file mode 100755 index ebc6691..0000000 --- a/install-sh +++ /dev/null | |||
@@ -1,250 +0,0 @@ | |||
1 | #! /bin/sh | ||
2 | # | ||
3 | # install - install a program, script, or datafile | ||
4 | # This comes from X11R5 (mit/util/scripts/install.sh). | ||
5 | # | ||
6 | # Copyright 1991 by the Massachusetts Institute of Technology | ||
7 | # | ||
8 | # Permission to use, copy, modify, distribute, and sell this software and its | ||
9 | # documentation for any purpose is hereby granted without fee, provided that | ||
10 | # the above copyright notice appear in all copies and that both that | ||
11 | # copyright notice and this permission notice appear in supporting | ||
12 | # documentation, and that the name of M.I.T. not be used in advertising or | ||
13 | # publicity pertaining to distribution of the software without specific, | ||
14 | # written prior permission. M.I.T. makes no representations about the | ||
15 | # suitability of this software for any purpose. It is provided "as is" | ||
16 | # without express or implied warranty. | ||
17 | # | ||
18 | # Calling this script install-sh is preferred over install.sh, to prevent | ||
19 | # `make' implicit rules from creating a file called install from it | ||
20 | # when there is no Makefile. | ||
21 | # | ||
22 | # This script is compatible with the BSD install script, but was written | ||
23 | # from scratch. It can only install one file at a time, a restriction | ||
24 | # shared with many OS's install programs. | ||
25 | |||
26 | |||
27 | # set DOITPROG to echo to test this script | ||
28 | |||
29 | # Don't use :- since 4.3BSD and earlier shells don't like it. | ||
30 | doit="${DOITPROG-}" | ||
31 | |||
32 | |||
33 | # put in absolute paths if you don't have them in your path; or use env. vars. | ||
34 | |||
35 | mvprog="${MVPROG-mv}" | ||
36 | cpprog="${CPPROG-cp}" | ||
37 | chmodprog="${CHMODPROG-chmod}" | ||
38 | chownprog="${CHOWNPROG-chown}" | ||
39 | chgrpprog="${CHGRPPROG-chgrp}" | ||
40 | stripprog="${STRIPPROG-strip}" | ||
41 | rmprog="${RMPROG-rm}" | ||
42 | mkdirprog="${MKDIRPROG-mkdir}" | ||
43 | |||
44 | transformbasename="" | ||
45 | transform_arg="" | ||
46 | instcmd="$mvprog" | ||
47 | chmodcmd="$chmodprog 0755" | ||
48 | chowncmd="" | ||
49 | chgrpcmd="" | ||
50 | stripcmd="" | ||
51 | rmcmd="$rmprog -f" | ||
52 | mvcmd="$mvprog" | ||
53 | src="" | ||
54 | dst="" | ||
55 | dir_arg="" | ||
56 | |||
57 | while [ x"$1" != x ]; do | ||
58 | case $1 in | ||
59 | -c) instcmd="$cpprog" | ||
60 | shift | ||
61 | continue;; | ||
62 | |||
63 | -d) dir_arg=true | ||
64 | shift | ||
65 | continue;; | ||
66 | |||
67 | -m) chmodcmd="$chmodprog $2" | ||
68 | shift | ||
69 | shift | ||
70 | continue;; | ||
71 | |||
72 | -o) chowncmd="$chownprog $2" | ||
73 | shift | ||
74 | shift | ||
75 | continue;; | ||
76 | |||
77 | -g) chgrpcmd="$chgrpprog $2" | ||
78 | shift | ||
79 | shift | ||
80 | continue;; | ||
81 | |||
82 | -s) stripcmd="$stripprog" | ||
83 | shift | ||
84 | continue;; | ||
85 | |||
86 | -t=*) transformarg=`echo $1 | sed 's/-t=//'` | ||
87 | shift | ||
88 | continue;; | ||
89 | |||
90 | -b=*) transformbasename=`echo $1 | sed 's/-b=//'` | ||
91 | shift | ||
92 | continue;; | ||
93 | |||
94 | *) if [ x"$src" = x ] | ||
95 | then | ||
96 | src=$1 | ||
97 | else | ||
98 | # this colon is to work around a 386BSD /bin/sh bug | ||
99 | : | ||
100 | dst=$1 | ||
101 | fi | ||
102 | shift | ||
103 | continue;; | ||
104 | esac | ||
105 | done | ||
106 | |||
107 | if [ x"$src" = x ] | ||
108 | then | ||
109 | echo "install: no input file specified" | ||
110 | exit 1 | ||
111 | else | ||
112 | true | ||
113 | fi | ||
114 | |||
115 | if [ x"$dir_arg" != x ]; then | ||
116 | dst=$src | ||
117 | src="" | ||
118 | |||
119 | if [ -d $dst ]; then | ||
120 | instcmd=: | ||
121 | else | ||
122 | instcmd=mkdir | ||
123 | fi | ||
124 | else | ||
125 | |||
126 | # Waiting for this to be detected by the "$instcmd $src $dsttmp" command | ||
127 | # might cause directories to be created, which would be especially bad | ||
128 | # if $src (and thus $dsttmp) contains '*'. | ||
129 | |||
130 | if [ -f $src -o -d $src ] | ||
131 | then | ||
132 | true | ||
133 | else | ||
134 | echo "install: $src does not exist" | ||
135 | exit 1 | ||
136 | fi | ||
137 | |||
138 | if [ x"$dst" = x ] | ||
139 | then | ||
140 | echo "install: no destination specified" | ||
141 | exit 1 | ||
142 | else | ||
143 | true | ||
144 | fi | ||
145 | |||
146 | # If destination is a directory, append the input filename; if your system | ||
147 | # does not like double slashes in filenames, you may need to add some logic | ||
148 | |||
149 | if [ -d $dst ] | ||
150 | then | ||
151 | dst="$dst"/`basename $src` | ||
152 | else | ||
153 | true | ||
154 | fi | ||
155 | fi | ||
156 | |||
157 | ## this sed command emulates the dirname command | ||
158 | dstdir=`echo $dst | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'` | ||
159 | |||
160 | # Make sure that the destination directory exists. | ||
161 | # this part is taken from Noah Friedman's mkinstalldirs script | ||
162 | |||
163 | # Skip lots of stat calls in the usual case. | ||
164 | if [ ! -d "$dstdir" ]; then | ||
165 | defaultIFS=' | ||
166 | ' | ||
167 | IFS="${IFS-${defaultIFS}}" | ||
168 | |||
169 | oIFS="${IFS}" | ||
170 | # Some sh's can't handle IFS=/ for some reason. | ||
171 | IFS='%' | ||
172 | set - `echo ${dstdir} | sed -e 's@/@%@g' -e 's@^%@/@'` | ||
173 | IFS="${oIFS}" | ||
174 | |||
175 | pathcomp='' | ||
176 | |||
177 | while [ $# -ne 0 ] ; do | ||
178 | pathcomp="${pathcomp}${1}" | ||
179 | shift | ||
180 | |||
181 | if [ ! -d "${pathcomp}" ] ; | ||
182 | then | ||
183 | $mkdirprog "${pathcomp}" | ||
184 | else | ||
185 | true | ||
186 | fi | ||
187 | |||
188 | pathcomp="${pathcomp}/" | ||
189 | done | ||
190 | fi | ||
191 | |||
192 | if [ x"$dir_arg" != x ] | ||
193 | then | ||
194 | $doit $instcmd $dst && | ||
195 | |||
196 | if [ x"$chowncmd" != x ]; then $doit $chowncmd $dst; else true ; fi && | ||
197 | if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dst; else true ; fi && | ||
198 | if [ x"$stripcmd" != x ]; then $doit $stripcmd $dst; else true ; fi && | ||
199 | if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dst; else true ; fi | ||
200 | else | ||
201 | |||
202 | # If we're going to rename the final executable, determine the name now. | ||
203 | |||
204 | if [ x"$transformarg" = x ] | ||
205 | then | ||
206 | dstfile=`basename $dst` | ||
207 | else | ||
208 | dstfile=`basename $dst $transformbasename | | ||
209 | sed $transformarg`$transformbasename | ||
210 | fi | ||
211 | |||
212 | # don't allow the sed command to completely eliminate the filename | ||
213 | |||
214 | if [ x"$dstfile" = x ] | ||
215 | then | ||
216 | dstfile=`basename $dst` | ||
217 | else | ||
218 | true | ||
219 | fi | ||
220 | |||
221 | # Make a temp file name in the proper directory. | ||
222 | |||
223 | dsttmp=$dstdir/#inst.$$# | ||
224 | |||
225 | # Move or copy the file name to the temp name | ||
226 | |||
227 | $doit $instcmd $src $dsttmp && | ||
228 | |||
229 | trap "rm -f ${dsttmp}" 0 && | ||
230 | |||
231 | # and set any options; do chmod last to preserve setuid bits | ||
232 | |||
233 | # If any of these fail, we abort the whole thing. If we want to | ||
234 | # ignore errors from any of these, just make sure not to ignore | ||
235 | # errors from the above "$doit $instcmd $src $dsttmp" command. | ||
236 | |||
237 | if [ x"$chowncmd" != x ]; then $doit $chowncmd $dsttmp; else true;fi && | ||
238 | if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dsttmp; else true;fi && | ||
239 | if [ x"$stripcmd" != x ]; then $doit $stripcmd $dsttmp; else true;fi && | ||
240 | if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dsttmp; else true;fi && | ||
241 | |||
242 | # Now rename the file to the real destination. | ||
243 | |||
244 | $doit $rmcmd -f $dstdir/$dstfile && | ||
245 | $doit $mvcmd $dsttmp $dstdir/$dstfile | ||
246 | |||
247 | fi && | ||
248 | |||
249 | |||
250 | exit 0 | ||
diff --git a/missing b/missing deleted file mode 100755 index 6a37006..0000000 --- a/missing +++ /dev/null | |||
@@ -1,336 +0,0 @@ | |||
1 | #! /bin/sh | ||
2 | # Common stub for a few missing GNU programs while installing. | ||
3 | # Copyright (C) 1996, 1997, 1999, 2000, 2002 Free Software Foundation, Inc. | ||
4 | # Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996. | ||
5 | |||
6 | # This program is free software; you can redistribute it and/or modify | ||
7 | # it under the terms of the GNU General Public License as published by | ||
8 | # the Free Software Foundation; either version 2, or (at your option) | ||
9 | # any later version. | ||
10 | |||
11 | # This program is distributed in the hope that it will be useful, | ||
12 | # but WITHOUT ANY WARRANTY; without even the implied warranty of | ||
13 | # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the | ||
14 | # GNU General Public License for more details. | ||
15 | |||
16 | # You should have received a copy of the GNU General Public License | ||
17 | # along with this program; if not, write to the Free Software | ||
18 | # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA | ||
19 | # 02111-1307, USA. | ||
20 | |||
21 | # As a special exception to the GNU General Public License, if you | ||
22 | # distribute this file as part of a program that contains a | ||
23 | # configuration script generated by Autoconf, you may include it under | ||
24 | # the same distribution terms that you use for the rest of that program. | ||
25 | |||
26 | if test $# -eq 0; then | ||
27 | echo 1>&2 "Try \`$0 --help' for more information" | ||
28 | exit 1 | ||
29 | fi | ||
30 | |||
31 | run=: | ||
32 | |||
33 | # In the cases where this matters, `missing' is being run in the | ||
34 | # srcdir already. | ||
35 | if test -f configure.ac; then | ||
36 | configure_ac=configure.ac | ||
37 | else | ||
38 | configure_ac=configure.in | ||
39 | fi | ||
40 | |||
41 | case "$1" in | ||
42 | --run) | ||
43 | # Try to run requested program, and just exit if it succeeds. | ||
44 | run= | ||
45 | shift | ||
46 | "$@" && exit 0 | ||
47 | ;; | ||
48 | esac | ||
49 | |||
50 | # If it does not exist, or fails to run (possibly an outdated version), | ||
51 | # try to emulate it. | ||
52 | case "$1" in | ||
53 | |||
54 | -h|--h|--he|--hel|--help) | ||
55 | echo "\ | ||
56 | $0 [OPTION]... PROGRAM [ARGUMENT]... | ||
57 | |||
58 | Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an | ||
59 | error status if there is no known handling for PROGRAM. | ||
60 | |||
61 | Options: | ||
62 | -h, --help display this help and exit | ||
63 | -v, --version output version information and exit | ||
64 | --run try to run the given command, and emulate it if it fails | ||
65 | |||
66 | Supported PROGRAM values: | ||
67 | aclocal touch file \`aclocal.m4' | ||
68 | autoconf touch file \`configure' | ||
69 | autoheader touch file \`config.h.in' | ||
70 | automake touch all \`Makefile.in' files | ||
71 | bison create \`y.tab.[ch]', if possible, from existing .[ch] | ||
72 | flex create \`lex.yy.c', if possible, from existing .c | ||
73 | help2man touch the output file | ||
74 | lex create \`lex.yy.c', if possible, from existing .c | ||
75 | makeinfo touch the output file | ||
76 | tar try tar, gnutar, gtar, then tar without non-portable flags | ||
77 | yacc create \`y.tab.[ch]', if possible, from existing .[ch]" | ||
78 | ;; | ||
79 | |||
80 | -v|--v|--ve|--ver|--vers|--versi|--versio|--version) | ||
81 | echo "missing 0.4 - GNU automake" | ||
82 | ;; | ||
83 | |||
84 | -*) | ||
85 | echo 1>&2 "$0: Unknown \`$1' option" | ||
86 | echo 1>&2 "Try \`$0 --help' for more information" | ||
87 | exit 1 | ||
88 | ;; | ||
89 | |||
90 | aclocal*) | ||
91 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
92 | # We have it, but it failed. | ||
93 | exit 1 | ||
94 | fi | ||
95 | |||
96 | echo 1>&2 "\ | ||
97 | WARNING: \`$1' is missing on your system. You should only need it if | ||
98 | you modified \`acinclude.m4' or \`${configure_ac}'. You might want | ||
99 | to install the \`Automake' and \`Perl' packages. Grab them from | ||
100 | any GNU archive site." | ||
101 | touch aclocal.m4 | ||
102 | ;; | ||
103 | |||
104 | autoconf) | ||
105 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
106 | # We have it, but it failed. | ||
107 | exit 1 | ||
108 | fi | ||
109 | |||
110 | echo 1>&2 "\ | ||
111 | WARNING: \`$1' is missing on your system. You should only need it if | ||
112 | you modified \`${configure_ac}'. You might want to install the | ||
113 | \`Autoconf' and \`GNU m4' packages. Grab them from any GNU | ||
114 | archive site." | ||
115 | touch configure | ||
116 | ;; | ||
117 | |||
118 | autoheader) | ||
119 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
120 | # We have it, but it failed. | ||
121 | exit 1 | ||
122 | fi | ||
123 | |||
124 | echo 1>&2 "\ | ||
125 | WARNING: \`$1' is missing on your system. You should only need it if | ||
126 | you modified \`acconfig.h' or \`${configure_ac}'. You might want | ||
127 | to install the \`Autoconf' and \`GNU m4' packages. Grab them | ||
128 | from any GNU archive site." | ||
129 | files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}` | ||
130 | test -z "$files" && files="config.h" | ||
131 | touch_files= | ||
132 | for f in $files; do | ||
133 | case "$f" in | ||
134 | *:*) touch_files="$touch_files "`echo "$f" | | ||
135 | sed -e 's/^[^:]*://' -e 's/:.*//'`;; | ||
136 | *) touch_files="$touch_files $f.in";; | ||
137 | esac | ||
138 | done | ||
139 | touch $touch_files | ||
140 | ;; | ||
141 | |||
142 | automake*) | ||
143 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
144 | # We have it, but it failed. | ||
145 | exit 1 | ||
146 | fi | ||
147 | |||
148 | echo 1>&2 "\ | ||
149 | WARNING: \`$1' is missing on your system. You should only need it if | ||
150 | you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'. | ||
151 | You might want to install the \`Automake' and \`Perl' packages. | ||
152 | Grab them from any GNU archive site." | ||
153 | find . -type f -name Makefile.am -print | | ||
154 | sed 's/\.am$/.in/' | | ||
155 | while read f; do touch "$f"; done | ||
156 | ;; | ||
157 | |||
158 | autom4te) | ||
159 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
160 | # We have it, but it failed. | ||
161 | exit 1 | ||
162 | fi | ||
163 | |||
164 | echo 1>&2 "\ | ||
165 | WARNING: \`$1' is needed, and you do not seem to have it handy on your | ||
166 | system. You might have modified some files without having the | ||
167 | proper tools for further handling them. | ||
168 | You can get \`$1Help2man' as part of \`Autoconf' from any GNU | ||
169 | archive site." | ||
170 | |||
171 | file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'` | ||
172 | test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'` | ||
173 | if test -f "$file"; then | ||
174 | touch $file | ||
175 | else | ||
176 | test -z "$file" || exec >$file | ||
177 | echo "#! /bin/sh" | ||
178 | echo "# Created by GNU Automake missing as a replacement of" | ||
179 | echo "# $ $@" | ||
180 | echo "exit 0" | ||
181 | chmod +x $file | ||
182 | exit 1 | ||
183 | fi | ||
184 | ;; | ||
185 | |||
186 | bison|yacc) | ||
187 | echo 1>&2 "\ | ||
188 | WARNING: \`$1' is missing on your system. You should only need it if | ||
189 | you modified a \`.y' file. You may need the \`Bison' package | ||
190 | in order for those modifications to take effect. You can get | ||
191 | \`Bison' from any GNU archive site." | ||
192 | rm -f y.tab.c y.tab.h | ||
193 | if [ $# -ne 1 ]; then | ||
194 | eval LASTARG="\${$#}" | ||
195 | case "$LASTARG" in | ||
196 | *.y) | ||
197 | SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'` | ||
198 | if [ -f "$SRCFILE" ]; then | ||
199 | cp "$SRCFILE" y.tab.c | ||
200 | fi | ||
201 | SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'` | ||
202 | if [ -f "$SRCFILE" ]; then | ||
203 | cp "$SRCFILE" y.tab.h | ||
204 | fi | ||
205 | ;; | ||
206 | esac | ||
207 | fi | ||
208 | if [ ! -f y.tab.h ]; then | ||
209 | echo >y.tab.h | ||
210 | fi | ||
211 | if [ ! -f y.tab.c ]; then | ||
212 | echo 'main() { return 0; }' >y.tab.c | ||
213 | fi | ||
214 | ;; | ||
215 | |||
216 | lex|flex) | ||
217 | echo 1>&2 "\ | ||
218 | WARNING: \`$1' is missing on your system. You should only need it if | ||
219 | you modified a \`.l' file. You may need the \`Flex' package | ||
220 | in order for those modifications to take effect. You can get | ||
221 | \`Flex' from any GNU archive site." | ||
222 | rm -f lex.yy.c | ||
223 | if [ $# -ne 1 ]; then | ||
224 | eval LASTARG="\${$#}" | ||
225 | case "$LASTARG" in | ||
226 | *.l) | ||
227 | SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'` | ||
228 | if [ -f "$SRCFILE" ]; then | ||
229 | cp "$SRCFILE" lex.yy.c | ||
230 | fi | ||
231 | ;; | ||
232 | esac | ||
233 | fi | ||
234 | if [ ! -f lex.yy.c ]; then | ||
235 | echo 'main() { return 0; }' >lex.yy.c | ||
236 | fi | ||
237 | ;; | ||
238 | |||
239 | help2man) | ||
240 | if test -z "$run" && ($1 --version) > /dev/null 2>&1; then | ||
241 | # We have it, but it failed. | ||
242 | exit 1 | ||
243 | fi | ||
244 | |||
245 | echo 1>&2 "\ | ||
246 | WARNING: \`$1' is missing on your system. You should only need it if | ||
247 | you modified a dependency of a manual page. You may need the | ||
248 | \`Help2man' package in order for those modifications to take | ||
249 | effect. You can get \`Help2man' from any GNU archive site." | ||
250 | |||
251 | file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'` | ||
252 | if test -z "$file"; then | ||
253 | file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'` | ||
254 | fi | ||
255 | if [ -f "$file" ]; then | ||
256 | touch $file | ||
257 | else | ||
258 | test -z "$file" || exec >$file | ||
259 | echo ".ab help2man is required to generate this page" | ||
260 | exit 1 | ||
261 | fi | ||
262 | ;; | ||
263 | |||
264 | makeinfo) | ||
265 | if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then | ||
266 | # We have makeinfo, but it failed. | ||
267 | exit 1 | ||
268 | fi | ||
269 | |||
270 | echo 1>&2 "\ | ||
271 | WARNING: \`$1' is missing on your system. You should only need it if | ||
272 | you modified a \`.texi' or \`.texinfo' file, or any other file | ||
273 | indirectly affecting the aspect of the manual. The spurious | ||
274 | call might also be the consequence of using a buggy \`make' (AIX, | ||
275 | DU, IRIX). You might want to install the \`Texinfo' package or | ||
276 | the \`GNU make' package. Grab either from any GNU archive site." | ||
277 | file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'` | ||
278 | if test -z "$file"; then | ||
279 | file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'` | ||
280 | file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file` | ||
281 | fi | ||
282 | touch $file | ||
283 | ;; | ||
284 | |||
285 | tar) | ||
286 | shift | ||
287 | if test -n "$run"; then | ||
288 | echo 1>&2 "ERROR: \`tar' requires --run" | ||
289 | exit 1 | ||
290 | fi | ||
291 | |||
292 | # We have already tried tar in the generic part. | ||
293 | # Look for gnutar/gtar before invocation to avoid ugly error | ||
294 | # messages. | ||
295 | if (gnutar --version > /dev/null 2>&1); then | ||
296 | gnutar "$@" && exit 0 | ||
297 | fi | ||
298 | if (gtar --version > /dev/null 2>&1); then | ||
299 | gtar "$@" && exit 0 | ||
300 | fi | ||
301 | firstarg="$1" | ||
302 | if shift; then | ||
303 | case "$firstarg" in | ||
304 | *o*) | ||
305 | firstarg=`echo "$firstarg" | sed s/o//` | ||
306 | tar "$firstarg" "$@" && exit 0 | ||
307 | ;; | ||
308 | esac | ||
309 | case "$firstarg" in | ||
310 | *h*) | ||
311 | firstarg=`echo "$firstarg" | sed s/h//` | ||
312 | tar "$firstarg" "$@" && exit 0 | ||
313 | ;; | ||
314 | esac | ||
315 | fi | ||
316 | |||
317 | echo 1>&2 "\ | ||
318 | WARNING: I can't seem to be able to run \`tar' with the given arguments. | ||
319 | You may want to install GNU tar or Free paxutils, or check the | ||
320 | command line arguments." | ||
321 | exit 1 | ||
322 | ;; | ||
323 | |||
324 | *) | ||
325 | echo 1>&2 "\ | ||
326 | WARNING: \`$1' is needed, and you do not seem to have it handy on your | ||
327 | system. You might have modified some files without having the | ||
328 | proper tools for further handling them. Check the \`README' file, | ||
329 | it often tells you about the needed prerequirements for installing | ||
330 | this package. You may also peek at any GNU archive site, in case | ||
331 | some other package would contain this missing \`$1' program." | ||
332 | exit 1 | ||
333 | ;; | ||
334 | esac | ||
335 | |||
336 | exit 0 | ||
diff --git a/mkinstalldirs b/mkinstalldirs deleted file mode 100755 index 6b3b5fc..0000000 --- a/mkinstalldirs +++ /dev/null | |||
@@ -1,40 +0,0 @@ | |||
1 | #! /bin/sh | ||
2 | # mkinstalldirs --- make directory hierarchy | ||
3 | # Author: Noah Friedman <friedman@prep.ai.mit.edu> | ||
4 | # Created: 1993-05-16 | ||
5 | # Public domain | ||
6 | |||
7 | # $Id$ | ||
8 | |||
9 | errstatus=0 | ||
10 | |||
11 | for file | ||
12 | do | ||
13 | set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'` | ||
14 | shift | ||
15 | |||
16 | pathcomp= | ||
17 | for d | ||
18 | do | ||
19 | pathcomp="$pathcomp$d" | ||
20 | case "$pathcomp" in | ||
21 | -* ) pathcomp=./$pathcomp ;; | ||
22 | esac | ||
23 | |||
24 | if test ! -d "$pathcomp"; then | ||
25 | echo "mkdir $pathcomp" | ||
26 | |||
27 | mkdir "$pathcomp" || lasterr=$? | ||
28 | |||
29 | if test ! -d "$pathcomp"; then | ||
30 | errstatus=$lasterr | ||
31 | fi | ||
32 | fi | ||
33 | |||
34 | pathcomp="$pathcomp/" | ||
35 | done | ||
36 | done | ||
37 | |||
38 | exit $errstatus | ||
39 | |||
40 | # mkinstalldirs ends here | ||
diff --git a/plugins/.cvsignore b/plugins/.cvsignore index 06fbb6a..66bad73 100644 --- a/plugins/.cvsignore +++ b/plugins/.cvsignore | |||
@@ -40,7 +40,7 @@ check_dig | |||
40 | check_nt | 40 | check_nt |
41 | negate | 41 | negate |
42 | stamp-h* | 42 | stamp-h* |
43 | *.h | 43 | config.h |
44 | Makefile | 44 | Makefile |
45 | Makefile.in | 45 | Makefile.in |
46 | config.h.in | 46 | config.h.in |
diff --git a/plugins/Makefile.am b/plugins/Makefile.am index bd5b550..2524e1a 100644 --- a/plugins/Makefile.am +++ b/plugins/Makefile.am | |||
@@ -16,7 +16,7 @@ EXTRA_PROGRAMS = check_mysql check_radius check_pgsql check_snmp check_hpjd \ | |||
16 | 16 | ||
17 | check_tcp_programs = check_ftp check_imap check_nntp check_pop | 17 | check_tcp_programs = check_ftp check_imap check_nntp check_pop |
18 | 18 | ||
19 | EXTRA_DIST = t utils.c netutils.c popen.c | 19 | EXTRA_DIST = t utils.c netutils.c popen.c utils.h netutils.h popen.h common.h |
20 | 20 | ||
21 | PLUGINHDRS = common.h config.h | 21 | PLUGINHDRS = common.h config.h |
22 | 22 | ||
diff --git a/plugins/common.h.in b/plugins/common.h index 56d5376..56d5376 100644 --- a/plugins/common.h.in +++ b/plugins/common.h | |||
diff --git a/plugins/netutils.h.in b/plugins/netutils.h index 69cf278..3ea5166 100644 --- a/plugins/netutils.h.in +++ b/plugins/netutils.h | |||
@@ -30,16 +30,12 @@ | |||
30 | * | 30 | * |
31 | ******************************************************************************/ | 31 | ******************************************************************************/ |
32 | 32 | ||
33 | #undef STDC_HEADERS | ||
34 | #undef HAVE_STRINGS_H | ||
35 | #undef HAVE_STRING_H | ||
36 | |||
37 | #include "config.h" | 33 | #include "config.h" |
38 | #include "common.h" | 34 | #include "common.h" |
39 | #include <netinet/in.h> | 35 | #include <netinet/in.h> |
40 | #include <arpa/inet.h> | 36 | #include <arpa/inet.h> |
41 | 37 | ||
42 | void socket_timeout_alarm_handler (int); | 38 | RETSIGTYPE socket_timeout_alarm_handler (int); |
43 | 39 | ||
44 | int process_tcp_request2 (char *address, int port, char *sbuffer, | 40 | int process_tcp_request2 (char *address, int port, char *sbuffer, |
45 | char *rbuffer, int rsize); | 41 | char *rbuffer, int rsize); |
diff --git a/plugins/popen.h.in b/plugins/popen.h index a1af4be..a1af4be 100644 --- a/plugins/popen.h.in +++ b/plugins/popen.h | |||
diff --git a/plugins/utils.c b/plugins/utils.c index 9ac5596..7361323 100644 --- a/plugins/utils.c +++ b/plugins/utils.c | |||
@@ -13,7 +13,6 @@ | |||
13 | 13 | ||
14 | #include "config.h" | 14 | #include "config.h" |
15 | #include "common.h" | 15 | #include "common.h" |
16 | #include "version.h" | ||
17 | #include <stdarg.h> | 16 | #include <stdarg.h> |
18 | #include <limits.h> | 17 | #include <limits.h> |
19 | 18 | ||
diff --git a/plugins/utils.h.in b/plugins/utils.h index 89ada6f..89ada6f 100644 --- a/plugins/utils.h.in +++ b/plugins/utils.h | |||
diff --git a/plugins/version.h.in b/plugins/version.h.in deleted file mode 100644 index 6fd1e10..0000000 --- a/plugins/version.h.in +++ /dev/null | |||
@@ -1 +0,0 @@ | |||
1 | #define CVS_DATE "$Date$" | ||